[arch-commits] Commit in python-ldap3/repos/community-staging-any (PKGBUILD PKGBUILD)

Evangelos Foutras foutrelis at archlinux.org
Wed Nov 11 15:04:08 UTC 2020


    Date: Wednesday, November 11, 2020 @ 15:04:08
  Author: foutrelis
Revision: 750833

archrelease: copy trunk to community-staging-any

Added:
  python-ldap3/repos/community-staging-any/PKGBUILD
    (from rev 750831, python-ldap3/trunk/PKGBUILD)
Deleted:
  python-ldap3/repos/community-staging-any/PKGBUILD

----------+
 PKGBUILD |   62 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 31 insertions(+), 31 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-11 15:04:07 UTC (rev 750832)
+++ PKGBUILD	2020-11-11 15:04:08 UTC (rev 750833)
@@ -1,31 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
-# Contributor: Kyle Keen <keenerd at gmail.com>
-
-pkgname=python-ldap3
-pkgver=2.8.1
-pkgrel=2
-pkgdesc="A strictly RFC 4510 conforming LDAP V3 pure Python client library"
-url="https://github.com/cannatag/ldap3"
-license=('LGPL')
-arch=('any')
-depends=('python-pyasn1')
-makedepends=('python-setuptools')
-checkdepends=('python-nose')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/cannatag/ldap3/archive/v$pkgver.tar.gz")
-sha512sums=('f37e76e1008c990290285a757def6fe70e227393fbbdf84eb1130d5fdfd17db724c544848cc424ca7831f8cc9e8d25407fc139981ebd10818064f588adbafebf')
-
-build() {
-  cd "$srcdir"/ldap3-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd "$srcdir"/ldap3-$pkgver
-  nosetests3 -s test || echo "Tests require a running LDAP server"
-}
-
-package() {
-  cd ldap3-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}

Copied: python-ldap3/repos/community-staging-any/PKGBUILD (from rev 750831, python-ldap3/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-11-11 15:04:08 UTC (rev 750833)
@@ -0,0 +1,31 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
+# Contributor: Kyle Keen <keenerd at gmail.com>
+
+pkgname=python-ldap3
+pkgver=2.8.1
+pkgrel=3
+pkgdesc="A strictly RFC 4510 conforming LDAP V3 pure Python client library"
+url="https://github.com/cannatag/ldap3"
+license=('LGPL')
+arch=('any')
+depends=('python-pyasn1')
+makedepends=('python-setuptools')
+checkdepends=('python-nose')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/cannatag/ldap3/archive/v$pkgver.tar.gz")
+sha512sums=('f37e76e1008c990290285a757def6fe70e227393fbbdf84eb1130d5fdfd17db724c544848cc424ca7831f8cc9e8d25407fc139981ebd10818064f588adbafebf')
+
+build() {
+  cd "$srcdir"/ldap3-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd "$srcdir"/ldap3-$pkgver
+  nosetests3 -s test || echo "Tests require a running LDAP server"
+}
+
+package() {
+  cd ldap3-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}


More information about the arch-commits mailing list